#!/bin/sh
D=$(readlink -e "$(dirname $0)")
P="logcheck-database-eisti"

rm ${D}/${P}.dirs ${D}/${P}.install

cd ${D}/..

for f in $(ls -d1 ignore.d.*)
do
    [ -d "${f}" ] && echo "${f} /etc/logcheck/${f}" >> ${D}/${P}.dirs
done
echo "$(wc -l ${D}/${P}.dirs | cut -d ' ' -f 1) dirs found"

for f in $(ls -d1 ignore.d.*/*)
do
    d=$(dirname $f)
    [ -f "${f}" ] && echo "${f} /etc/logcheck/${d}" >> ${D}/${P}.install
done
echo "$(wc -l ${D}/${P}.install | cut -d ' ' -f 1) files found"
